Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Class JavaElementContentProvider

    java.lang.Object
      org.eclipse.jdt.ui.StandardJavaElementContentProvider
          org.eclipse.jdt.ui.JavaElementContentProvider

All Implemented Interfaces:
  IContentProvider, IElementChangedListener, IStructuredContentProvider, ITreeContentProvider, IWorkingCopyProvider

Deprecated. use the StandardJavaElementContentProvider instead

public class JavaElementContentProvider
extends StandardJavaElementContentProvider
implements ITreeContentProvider, IElementChangedListener

A tree content provider for Java elements. It extends the StandardJavaElementContentProvider with support for listening to changes.

This class may be instantiated; it is not intended to be subclassed.

See Also:
  `StandardJavaElementContentProvider`

Field Summary
`protected Object` | `fInput` Deprecated.
`protected TreeViewer` | `fViewer` Deprecated.

Fields inherited from class org.eclipse.jdt.ui.StandardJavaElementContentProvider
`fProvideMembers, fProvideWorkingCopy, NO_CHILDREN`

Constructor Summary
`JavaElementContentProvider()` Deprecated. Creates a new content provider for Java elements.
`JavaElementContentProvider(boolean provideMembers, boolean provideWorkingCopy)` Deprecated. Creates a new content provider for Java elements.

Method Summary
`void` | `dispose()` Deprecated.
`void` | `elementChanged(ElementChangedEvent event)` Deprecated. Notifies that one or more attributes of one or more Java elements have changed.
`void` | `inputChanged(Viewer viewer, Object oldInput, Object newInput)` Deprecated.
`protected void` | `processDelta(IJavaElementDelta delta)` Deprecated. Processes a delta recursively.

Methods inherited from class org.eclipse.jdt.ui.StandardJavaElementContentProvider
`concatenate, exists, getChildren, getElements, getJavaProjects, getPackageFragmentRoots, getParent, getProvideMembers, getProvideWorkingCopy, hasChildren, internalGetParent, isClassPathChange, isPackageFragmentEmpty, isProjectPackageFragmentRoot, providesWorkingCopies, setProvideMembers, setProvideWorkingCopy, skipProjectPackageFragmentRoot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ITreeContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.jface.viewers.IStructuredContentProvider
`getElements`

Field Detail

### fViewer

    protected TreeViewer fViewer

  Deprecated.

### fInput

    protected Object fInput

  Deprecated.

Constructor Detail

### JavaElementContentProvider

    public JavaElementContentProvider()

  Deprecated.
  Creates a new content provider for Java elements.

### JavaElementContentProvider

    public JavaElementContentProvider(boolean provideMembers,
                                      boolean provideWorkingCopy)

  Deprecated.
  Creates a new content provider for Java elements.

Parameters:
  `provideMembers` - if `true` members below compilation units and class files are provided.
  `provideWorkingCopy` - if `true` the element provider provides working copies for members of compilation units which have an associated working copy. Otherwise only original elements are provided.
Since:
  2.0

Method Detail

### dispose

    public void dispose()

  Deprecated.
  Specified by:
    `dispose` in interface `IContentProvider`
  Overrides:
    `dispose` in class `StandardJavaElementContentProvider`

### inputChanged

    public void inputChanged(Viewer viewer,
                             Object oldInput,
                             Object newInput)

  Deprecated.
  Specified by:
    `inputChanged` in interface `IContentProvider`
  Overrides:
    `inputChanged` in class `StandardJavaElementContentProvider`

### elementChanged

    public void elementChanged(ElementChangedEvent event)

  Deprecated.
  Description copied from interface: `IElementChangedListener`
  Notifies that one or more attributes of one or more Java elements have changed. The specific details of the change are described by the given event.

  Specified by:
    `elementChanged` in interface `IElementChangedListener`
  Parameters:
    `event` - the change event

### processDelta

    protected void processDelta(IJavaElementDelta delta)
                         throws JavaModelException

  Deprecated.
  Processes a delta recursively. When more than two children are affected the tree is fully refreshed starting at this node. The delta is processed in the current thread but the viewer updates are posted to the UI thread.

  Parameters:
    `delta` - the delta to be processed
  Throws:
    `JavaModelException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.